org.apache.ignite.ml.xgboost.parser.visitor

## Class XGModelVisitor

- java.lang.Object
- - org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<T>
  - - org.apache.ignite.ml.xgboost.parser.XGBoostModelBaseVisitor<XGModelComposition>
    - - org.apache.ignite.ml.xgboost.parser.visitor.XGModelVisitor

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTreeVisitor<XGModelComposition>, XGBoostModelVisitor<XGModelComposition>

      public class XGModelVisitor
      extends XGBoostModelBaseVisitor<XGModelComposition>

  XGBoost model visitor that parses model.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XGModelVisitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XGModelComposition` | `visitXgModel(XGBoostModelParser.XgModelContext ctx)` Visit a parse tree produced by `XGBoostModelParser.xgModel()`.

    - ### Methods inherited from class org.apache.ignite.ml.xgboost.parser.XGBoostModelBaseVisitor

      `visitXgHeader, visitXgLeaf, visitXgNode, visitXgTree, visitXgValue`

    - ### Methods inherited from class org.antlr.v4.runtime.tree.AbstractParseTreeVisitor

      `aggregateResult, defaultResult, shouldVisitNextChild, visit, visitChildren, visitErrorNode, visitTerminal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

      `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Constructor Detail

    - #### XGModelVisitor

          public XGModelVisitor()

  - ### Method Detail

    - #### visitXgModel

          public XGModelComposition visitXgModel(XGBoostModelParser.XgModelContext ctx)

      Visit a parse tree produced by `XGBoostModelParser.xgModel()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitXgModel` in interface `XGBoostModelVisitor<XGModelComposition>`
      Overrides:
        `visitXgModel` in class `XGBoostModelBaseVisitor<XGModelComposition>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020